Package pygccxml :: Package declarations :: Module algorithms_cache :: Class declaration_algs_cache_t

# type declaration_algs_cache_t

source code

    object --+
             |
            declaration_algs_cache_t

Instance Methods

__init__(self) | source code

disable(self) | source code

enable(self) | source code

reset(self) | source code

reset_name_based(self) | source code

reset_access_type(self) | source code

Properties
| enabled
| full_name
| full_partial_name
| access_type
| demangled_name
| declaration_path
| partial_declaration_path
| container_element_type
| container_key_type

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### enabled

### full_name

Get Method:
  _get_full_name(self)
Set Method:
  _set_full_name(self, fname)

### full_partial_name

Get Method:
  _get_full_partial_name(self)
Set Method:
  _set_full_partial_name(self, fname)

### access_type

Get Method:
  _get_access_type(self)
Set Method:
  _set_access_type(self, access_type)

### demangled_name

Get Method:
  _get_demangled_name(self)
Set Method:
  _set_demangled_name(self, demangled_name)

### declaration_path

Get Method:
  _get_declaration_path(self)
Set Method:
  _set_declaration_path(self, declaration_path)

### partial_declaration_path

Get Method:
  _get_partial_declaration_path(self)
Set Method:
  _set_partial_declaration_path(self, partial_declaration_path)

### container_element_type

Get Method:
  _get_container_element_type(self)
Set Method:
  _set_container_element_type(self, etype)

### container_key_type

Get Method:
  _get_container_key_type(self)
Set Method:
  _set_container_key_type(self, ktype)